Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface DeployableCredentialProvider

All Superinterfaces:
  CredentialProvider, SecurityProvider

Deprecated. WLS 9.0 (10/2003) Deprecating the feature

    public interface DeployableCredentialProvider

extends CredentialProvider

A Credential Mapping provider that supports deploying policies on behalf of Resource Adapter deployment needs to implement this interface.

Basically, this is a credential mapping that says which credential needs to be used by a certain WebLogic Server user when connecting to an EIS. Not all Credential Mapping providers need to support this interface.

When a Resource Adapter (`.rar`) is deployed, credentials and mappings need to be created. Similarly, when the Resource Adapter is re/hot deployed, the credentials and mappings need to be updated. And, when the Resource Adapter is undeployed, the credentials and mappings should be removed. This work needs to be done by a Credential Mapping provider.

To help with this, there are two MBeans associated with Credential Mapping providers: one for providers who support deployment and one for those that do not support deployment. The one for deployment has an attribute that indicates whether this provider should be used for deployment.

Method Summary
`void` | `deployCredentialMapping(Resource resource, String initiatingPrincipal, String eisUsername, String eisPassword)` Deprecated. Deploys credential maps (that is, creates a credential mapping on behalf of a deployed Resource Adapter).
`void` | `undeployCredentialMappings(Resource resource)` Deprecated. Undeploys credential maps (that is, deletes a credential mapping on behalf of an undeployed Resource Adapter).

Methods inherited from interface weblogic.security.spi.CredentialProvider
`getCredentialProvider`

Methods inherited from interface weblogic.security.spi.SecurityProvider
`getDescription, initialize, shutdown`

Method Detail

### deployCredentialMapping

    void deployCredentialMapping(Resource resource,
                                 String initiatingPrincipal,
                                 String eisUsername,
                                 String eisPassword)
                                 throws ResourceCreationException

  Deprecated.
  Deploys credential maps (that is, creates a credential mapping on behalf of a deployed Resource Adapter). If the mapping already exists, it is removed and replaced by this mapping.

  Parameters:
    `resource` - the EIS resource to which the credential mapping applies.

    `initiatingPrincipal` - the WebLogic Server username for the credential mapping to be deployed.

    `eisUsername` - the external EIS username for the credential mapping to be deployed.

    `eisPassword` - the external EIS password for the credential mapping to be deployed.

  Throws:
    `ResourceCreationException` - if an unexpected error occurs while deploying the credential maps for the specified resource.

### undeployCredentialMappings

    void undeployCredentialMappings(Resource resource)
                                    throws ResourceRemovalException

  Deprecated.
  Undeploys credential maps (that is, deletes a credential mapping on behalf of an undeployed Resource Adapter). This method is a no-op if the mapping does not exist.

  Parameters:
    `resource` - the `Resource` object to which the credential mapping applies.

  Throws:
    `ResourceRemovalException` - if an unexpected error occurs while undeploying the specified resource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD